.TH elvish 1 "2022-04-13" "elvish 0.18"

.SH NAME
elvish - Expressive Programming Language + Versatile Interactive Shell

.SH SYNOPSIS
.B elvish [flags] [script] [args]

.SH FLAGS
.TP
-buildinfo
output information about the Elvish build and quit
.TP
-c
treat the first argument as code to execute
.TP
-compileonly
parse and compile Elvish code without executing it
.TP
-deprecation-level int
show warnings for all features deprecated as of version 0.X (default 18)
.TP
-help
show usage help and quit
.TP
-i
a no-op flag, introduced for POSIX compatibility
.TP
-json
show the output from -buildinfo, -compileonly or -version in JSON
.TP
-log string
path to a file to write debug logs
.TP
-lsp
run the builtin language server
.TP
-norc
don't read the RC file when running interactively
.TP
-rc string
path to the RC file when running interactively
.TP
-version
output the Elvish version and quit

.SH DESCRIPTION
Elvish is an expressive programming language and a versatile interactive
shell, combined into one seamless package. It runs on Linux, BSDs, macOS
and Windows.

.SH SEE ALSO
.B https://elv.sh

.SH AUTHOR
This manual page was written by Shengjing Zhu <zhsj@debian.org>,
for the Debian GNU/Linux system (but may be used by others).
